mdoc-update(1)

NAME
mdoc update - mdoc(5) documentation format support

SYNOPSIS
mdoc update [OPTIONS]* ASSEMBLIES

DESCRIPTION
mdoc update is responsible for the following:

*   Creating documentation stubs based on ASSEMBLIES. The stub-creation process will create new mdoc(5) XML files for each type within ASSEMBLIES, and provide documentation stubs for each member of those types.

*   Update documentation stubs based on ASSEMBLIES. Existing mdoc(5) documentation can be updated to reflect changes within ASSEMBLIES, such as added types and members, while preserving existing documentation.

    In some limited circumstances, renames will be tracked, minimizing the documentation burden when e.g. a parameter is renamed. circumstances, creates stubs and updates documentation in the mdoc(5) documentation format from ASSEMBLIES.

mdoc update does not rely on documentation found within source code.

See mdoc(1) and mdoc(5) for more information.

OPTIONS

--delete
    Allow mdoc update to delete members from documentation files. The only members deleted are members which are no longer present within ASSEMBLIES and are not present in any other assembly versions.

    If a type is no longer present, the documentation file is not deleted, but is instead renamed to have a .remove extension.

    Version detection is done with the //AssemblyVersion elements; if there are no //AssemblyVersion elements for a given <Type> or <Member/>, then the <Type> will be renamed and/or the <Member/> will be removed.

-i, --import=FILE
    Import documentation found within FILE.

    FILE may contain either csc /doc XML or ECMA-335 XML.

-o, --out=DIRECTORY
    Place the generated stubs into DIRECTORY.

    When updating documentation, DIRECTORY is also the source directory. -h, -?, --help Display a help message and exit.

SEE ALSO
mdoc(1), mdoc(5), mdoc-assemble(1), mdoc-export-html(1), mdoc-validate(1),

MAILING LISTS

Visit http://lists.ximian.com/mailman/listinfo/mono-docs-list for details.

WEB SITE
Visit http://www.mono-project.com for details